### Enumeration

# EBackend SourcePermissionFlags

since: 3.6

#### Declaration

    flags EBackend.SourcePermissionFlags

#### Description [src]

Initial permissions for a newly-loaded data source key file.

Available since: 3.6

#### Members

`E_SOURCE_PERMISSION_NONE`

  The data source gets no initial permissions.

  - Value: `0`
  - Available since: 3.6
`E_SOURCE_PERMISSION_WRITABLE`

  The data source is initially writable.

  - Value: `1`
  - Available since: 3.6
`E_SOURCE_PERMISSION_REMOVABLE`

  The data source is initially removable.

  - Value: `2`
  - Available since: 3.6